using Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ModuleB
{
	public class ModuleBViewViewModel
	{
		IAuthority authority;
		public bool EditMode
		{
			get
			{
				return this.authority.IsEditor;
			}
			set
			{
				this.authority.IsEditor = value;
			}
		}

		public ModuleBViewViewModel(IAuthority authority)
		{
			this.authority = authority;
		}
	}
}
